This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 331511 - Domain creation failure isn't handled gracefully
Domain creation failure isn't handled gracefully
Status: CLOSED DUPLICATE of bug 453491
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-14 17:40 EDT by Jon Masters
Modified: 2008-11-26 11:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 11:30:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Masters 2007-10-14 17:40:19 EDT
Description of problem:

Looks like creating a "fully virtualized" (btw would be nice if you didn't have
to Google to find out that KVM is supported via the qemu target) host under KVM
that has a significant portion of host RAM allocated will often fail, and when
this happens, virt-manager sticks its fingers in its ears, playing a game of "la
la la" I'm not listening ;-)

Jon.

Version-Release number of selected component (if applicable):

virt-manager-0.5.2-1.fc8

How reproducible:

Reasonably

Steps to Reproduce:
1. Create a "fully virtualized" (in reality, KVM) virtual machine with 50% or
more of host RAM on a loaded system...watch it squeal.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jon Masters 2007-10-14 18:32:05 EDT
Seems whenever I go over that 50% of system RAM threshold on a busy system and
KVM can't make a new domain...

Unable to complete install '<class 'libvirt.libvirtError'>
virDomainCreateLinux() failed Timed out while reading console startup output
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 616, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 724, in
start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 741, in
_do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 573, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: virDomainCreateLinux() failed Timed out while reading console
startup output
'
Comment 2 Bug Zapper 2008-11-26 02:58:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2008-11-26 11:30:55 EST

*** This bug has been marked as a duplicate of bug 453491 ***

Note You need to log in before you can comment on or make changes to this bug.